Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 576334

Summary: Last Rites: app-eselect/eselect-mesa
Product: Gentoo Linux Reporter: Chí-Thanh Christopher Nguyễn <chithanh>
Component: Current packagesAssignee: Gentoo X packagers <x11>
Status: RESOLVED FIXED    
Severity: enhancement CC: alexander, devurandom, kaikaikai, kripton, pacho
Priority: Normal Keywords: PMASKED
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://bugs.gentoo.org/show_bug.cgi?id=546198
https://bugs.gentoo.org/show_bug.cgi?id=330769
https://bugs.gentoo.org/show_bug.cgi?id=398367
https://bugs.gentoo.org/show_bug.cgi?id=486712
Whiteboard:
Package list:
Runtime testing required: ---

Description Chí-Thanh Christopher Nguyễn gentoo-dev 2016-03-03 11:21:28 UTC
As the original author of eselect-mesa, I think that tool has somewhat outlived its usefulness.

r300/r600 is now dropped, and only r300g/r600g remains
i915g has only a few fringe benefits over i915 (like Gallium HUD) and some downsides
ilo should not be used over i965 unless you really know what you are doing

So the only remaining case would be swrast vs. softpipe/llvmpipe/swr and I think switching between them with a USE flag at build time is enough.
Comment 1 Mart Raudsepp gentoo-dev 2016-03-03 12:01:58 UTC
There appears to be some value in having this with softpipe/llvmpipe/swr for runtime switching and comparing and maybe something is faster on llvmpipe than swr, while something else is faster vice-versa (though that's all for a sad software use case).
Given that, what are the actual disadvantages of having this - what is the cost of keeping this going?
Comment 2 Chí-Thanh Christopher Nguyễn gentoo-dev 2016-03-03 15:12:15 UTC
Users can in principle switch between implementations with the LIBGL_DRIVERS_PATH environment variable or similar. If only for testing and comparing this might be sufficient.
Comment 3 Chí-Thanh Christopher Nguyễn gentoo-dev 2016-03-03 16:50:36 UTC
Ah sorry, I misunderstood. If you want to switch between llvmpipe, softpipe and swr (and not swrast), you use the GALLIUM_DRIVER variable.

https://cgit.freedesktop.org/mesa/mesa/tree/src/gallium/docs/source/drivers/openswr/usage.rst
Comment 4 Larry the Git Cow gentoo-dev 2018-05-27 06:55:38 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2411166e56da41fc163475c0ce0f6c10310d6468

commit 2411166e56da41fc163475c0ce0f6c10310d6468
Author:     Matt Turner <mattst88@gentoo.org>
AuthorDate: 2018-05-27 06:51:04 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2018-05-27 06:54:19 +0000

    media-libs/mesa: Drop eselect-mesa support
    
    It only allowed selecting between two i915 drivers and two swrast
    drivers. Not interesting.
    
    Now, if gallium is enabled we will default to the gallium version of
    these drivers, otherwise the classic version.
    
    Closes: https://bugs.gentoo.org/546198
    Closes: https://bugs.gentoo.org/576334

 media-libs/mesa/mesa-18.1.0-r1.ebuild | 531 ++++++++++++++++++++++++++++++++++
 media-libs/mesa/mesa-9999.ebuild      |  43 +--
 2 files changed, 532 insertions(+), 42 deletions(-)
Comment 5 Matt Turner gentoo-dev 2018-05-27 06:57:01 UTC
Let's just use this for tracking last rites.
Comment 6 Larry the Git Cow gentoo-dev 2018-09-29 17:19:23 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0ca7bd96b4618263f17aca923738b546b2466578

commit 0ca7bd96b4618263f17aca923738b546b2466578
Author:     Matt Turner <mattst88@gentoo.org>
AuthorDate: 2018-09-29 17:16:18 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2018-09-29 17:19:08 +0000

    profiles: Mask app-eselect/eselect-mesa for removal
    
    Bug: https://bugs.gentoo.org/576334
    
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 profiles/package.mask | 4 ++++
 1 file changed, 4 insertions(+)
Comment 7 Larry the Git Cow gentoo-dev 2018-10-30 22:58:45 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6150aef4b1af5e58b8a96af5c6c13be579b4d57d

commit 6150aef4b1af5e58b8a96af5c6c13be579b4d57d
Author:     Matt Turner <mattst88@gentoo.org>
AuthorDate: 2018-10-30 22:57:46 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2018-10-30 22:58:12 +0000

    app-eselect/eselect-mesa: Remove
    
    Closes: https://bugs.gentoo.org/576334
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 app-eselect/eselect-mesa/Manifest                  |  1 -
 .../eselect-mesa/eselect-mesa-0.0.10-r1.ebuild     | 30 ----------------------
 app-eselect/eselect-mesa/metadata.xml              |  8 ------
 profiles/package.mask                              |  4 ---
 4 files changed, 43 deletions(-)